package controllers

import (
	"gocommunity.ru/workshop/internal/models"
	u "gocommunity.ru/workshop/internal/utils"
	"encoding/json"
	"net/http"
)

var CreateVehicle = func(w http.ResponseWriter, r *http.Request) {
	vehicle := &models.Vehicle{}
	err := json.NewDecoder(r.Body).Decode(vehicle)
	if err != nil {
		u.Respond(w, u.Message(false, "Invalid request!"))
		return
	}
	resp := vehicle.CreateVehicle()
	u.Respond(w, resp)
}

var GetvehiclesWithServices = func(w http.ResponseWriter, r *http.Request) {
	vehicle := &models.Vehicle{}

	data := vehicle.Getvehicles()
	resp := u.Message(true, "success")
	resp["data"] = data
	u.Respond(w, resp)
}

var GetvehiclesInService = func(w http.ResponseWriter, r *http.Request) {
	vehicle := &models.Vehicle{}

	data := vehicle.GetvehiclesInService()
	resp := u.Message(true, "success")
	resp["data"] = data
	u.Respond(w, resp)
}
